Source Highlight Enhancements Wizard

Source Highlight Enhancements Wizard

Source Highlight Enhancements contain Bracket Highlight and Code Structure Highlight feature. Brackets ( ), [ ], { } are supported. But { } only valid in C/C++. Code Structure's keyword Highlight only supports Pascal files.

Bracket highlighted source code shows as below:

Structure highlighted source code shows as below:

The settings dialog shows as below:

- Bracket Highlight

  - Enable Highlighting Matched Brackets: Whether highlight matched brackets.

  - Color Settings: Set foreground, background and frame colors.

  - Bracket Bold: Whether use bold font to draw bracket.

  - Highlight when Cursor is between Brackets: Whether highlight brackets when cursor is between brackets.

- Code Structure Highlight

  - Enable Background Highlight Keyword Structure at Cursor.: Whether Enable Background Highlight Keyword Structure at Cursor. If checked and cursor is at "begin", the background of "begin" and its corresponding "end" will be painted as highlight color, default is yellow and can be customized.

  - Enable Background Highlight Current Identifier at Cursor.: Whether Enable Background Highlight Current Identifier at Cursor. If checked and cursor is at a identifier, the background of all the same identifiers in current range will be painted as highlight color, default is yellow and can be customized.

  - Background Color: The background color of Highlight Keyword Structure and Current Identifier at Cursor, defaultly Yellow.

  - Enable Background Highlight Current Line.: Whether Enable Background Highlight Current Line at Cursor. If checked, the background of current line will be painted as highlight color, like BDS. The default background highlight color is coming from the Editor color settings and can be customized here.

  - Enable Highlight Keyword Structure.: Whether Enable Keyword Structure Highlight in IDE Editor.

  - Enable Highlight Flow Control Statement.: Whether Enable Highlight Background for Flow Control Statement in Pascal and C/C++, including Exit/Abort/Break/Continue/raise/goto in Pascal and return/goto/break/continue/exit/abort in C/C++.

  - Enable Highlight Conditional Compiler Directive at Cursor.: Whether Enable Highlight Background for Matched Conditional Compiler Directive(Preprocessor) in Pascal and C/C++, including {$IFDEF/IFNDEF/IF} {$ELSE} {$ENDIF/IFEND} in Pascal and #if/ifdef/ifndef #else/#elif #endif in C/C++.

  - Enable Structure Lines.: Whether Enable Lines Structure Highlight in IDE Editor.

  - Enable Separate Lines between Functions.: Whether Enable Separate Lines in Empty Row between Functions.

  - Line Settings: Settings of Drawing Lines. The dialog is shown as below:

  - Line Type: Line Type, default solid line.

  - Width: Line Width, default 1 pixel.

  - Draw "[" at Line Ends: Whether draw a "[" at the beginning of keyword.

  - Draw Horizontal Line when in Different Columns: Whether draw a horizontal line at the bottom of a line when keywords are in different columns.

  - Use Tiny Dot to Draw the Horizontal Lines: Whether use tiny dot to draw the horizontal lines. If not, use the line type setting.

  - Ignore class/interface/record Declaration in Lines: Whether Ignore class/interface/dispinterface/record Declarations and DO NOT draw lines on them.

  - Line Settings: Settings of Drawing Separate Lines. The dialog is shown as below:

  - Line Type: Line Type, default small dot.

  - Width: Line Width, default 1 pixel.

  - Color: Line Color, default gray.

  - Highlight Range: This option specifies the highlight range in editor, including Unit, Procedure/Function, Whole Block, Current Block.

    - Unit: Highlight range is the whole implementation part of unit. Note: Performance maybe decreased if the unit size is too large.

    - Procedure/Function: Highlight range is current procedure/function where the cursor stays at, including nested procedure/function.

    - Whole Block: Highlight range is the outermost block around the cursor, e.g. current procedure/function, but excluding nested procedure/function.

    - Current Block: Highlight range is the innermost current block around the cursor.

  - Colors by Level: This option specifies the colors for different levels. Click the block to select color. The dropdown button can popup a menu to reset all colors to default settings and export/import color settings to/from a INI file.

- Highlight Delay: It requires re-parse and update the editor after editor changed or cursor moved. This option specifies the delay mode for editor update after changing.

- Immediately: Re-parse and refresh editor in a very short while after editor changed. Note: Performance maybe decreased if file size is too large and changed frequently.

- Delay for: Delay for a second defaultly after the last change of editor.

- Only Show when Hotkey: Do not highlight code structure until the hotkey pressed. Default is Ctrl+Shift+H. This hotkey can be also used to re-parse and refresh editor manually though the hotkey option is disabled.

- Disable Highlight when Unit Lines Exceeds: When a unit file size is too large, the frequent change maybe cause performance decreasing. This option can specifies a line count, when the file line count exceeds this value, highlight will be disabled. The default value is 15000.

- OK: Save settings and close dialog.

- Cancel: Cancel settings and close dialog.

Links

Form Designer Enhancements

Palette & Other Enhancements

CPU Window Enhancements

Object Inspector Enhancements

Caption Button Enhancements

Code Input Helper

About CnWizards

Copyrights 2001-2015 CnPack Team